Announcement

Collapse
No announcement yet.

SSL question

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • SSL question

    We currently have our SSL through godaddy.com, and are considering buying from 3dcart this year. Any feedback on others who have switched over to the 3dcart SSL?

  • #2
    We use the GeoTrust SSL offered through 3dCart and have had no problems with it.
    Laura Z
    Brass & Silver Traditions
    www.brassandsilvertraditions.com

    Comment


    • #3
      Another one using the GeoTrust SSL offered through 3dC and haven't had any problems.

      Comment


      • #4
        I was going to go with an EV SSL via Godaddy $99.99 (Green Bar). I had to call tech support to see about a CSR & then I find out I have to purchase a CSR for another $99.00.

        Renewal is at the end of the month, got some serious thinking to do...

        Comment


        • #5
          If we choose one of the SSL's from 3dCart, do we still have to purchase the $99 CSR? If not, I'll probably go with the QuickSSL. Haven't seen enough evidence that the next step up increases the sales to justify the additional price.

          Comment


          • #6
            No, the CSR/$99 is only if you want to purchase a SSL elsewhere and bring it to 3d. Somewhere I saw a fee of $45, but I guess they jacked it up. Kind of aggravates me.

            Comment


            • #7
              We still get a security warning on our android phones when visiting our stores using the geotrust cert. We have the quickssl premium I wouldn't use any of the geotrust certs again.

              Comment


              • #8
                hmmm . . . good to know! Thanks for the heads up. We've been with godaddy.com for about 7 years now, no problems at all, so I think we may stick with them.

                Comment


                • #9
                  I've had Geotrust over the last year and never a problem. I also use an Android phone & I don't see any security warnings at my site.

                  Comment


                  • #10
                    What version of android do you have? We would like to pinpoint the problem. We see the issue on all 4 of our stores.

                    Comment


                    • #11
                      2.2.2 on the 1st gen original Droid.

                      Comment


                      • #12
                        Just FYI, we ended up going with the GeoTrust QuickSSL Premium--no problems that we've noted. It was cheaper and easier just to go with that one, and happy so far. :)

                        Comment


                        • #13
                          I have Droid X with version 2.2.1 on it. Maybe I need to upgrade to 2.2.2 ?!?

                          Comment


                          • #14
                            Have you tried clearing the cache on your phone's browser? That might help too.

                            Comment


                            • #15
                              Thanks piaf. I have tried that several times to no avail. I am glad that others are not having the warnings with their phones. We did have a customer call about a month ago and complain that he got the security warning so I know it is not just my phone, but maybe it is just a specific version of android and eventually it will be upgraded and all resolve.

                              Comment

                              Working...
                              X